import React, { Component } from 'react';

class Label extends Component {
    render() {
        var labelClasses = {
            color : this.props.styles.color,
            row : 'row',
            noGutters : 'no-gutters',
            alignItemsCenter : 'align-items-center',
            textCenter : 'text-center'
        };

        labelClasses = Object.values(labelClasses);
        labelClasses = labelClasses.join(' ');

        return (
            <div style={{
                    width : '100%',
                    height : '100%'
                }} >
                <div
                    className={labelClasses}
                    style={{
                        width : '100%',
                        height : 'calc(100%/3)'
                    }}></div>
                <div
                    className={labelClasses}
                    style={{
                        width : '100%',
                        height : 'calc(100%/3)'
                    }}>
                    <h5 className={'m-0'}
                        style={{
                            width : '100%',
                            textTransform : 'capitalize',
                            fontFamily : this.props.styles.font
                        }}>{this.props.styles.text}</h5></div>
                <div
                    className={labelClasses}
                    style={{
                        width : '100%',
                        height : 'calc(100%/3)'
                    }}></div>
            </div>
        );
    }
};

export default Label