import React, { Component } from 'react';

import App from '../App';

import Minimal from '../configurations/evolution/Minimal';
import MinimalRounded from '../configurations/evolution/MinimalRounded';
import MinimalRoundedDetailed from '../configurations/evolution/MinimalRoundedDetailed';
import Chronograph from '../configurations/models/Chronograph';

class Demo extends Component {
    render(){
        return (
            <div className="row">
                <div className="col-sm-6 col-md-4 col-lg-3 my-3">
                    <App key="Minimal" styles={Minimal} />
                </div>
                <div className="col-sm-6 col-md-4 col-lg-3 my-3">
                    <App key="MinimalRounded" styles={MinimalRounded} />
                </div>
                <div className="col-sm-6 col-md-4 col-lg-3 my-3">
                    <App key="MinimalRoundedDetailed" styles={MinimalRoundedDetailed} />
                </div>        
                <div className="col-sm-6 col-md-4 col-lg-3 my-3">
                    <App key="Chronograph" styles={Chronograph} />
                </div>
            </div>        
        );
    }
}

export default Demo;