var AllStyles = require('../AllStyles');

var SmallSecondsSquare = {
    burst : true,
    case : {
        shape : AllStyles.shape.rounded,
        bg : AllStyles.background.steel,
    },
    color : AllStyles.color.white,
    dial : {
        shape : AllStyles.shape.rounded,
        bg : AllStyles.background.greyFume
    },
    hands : {
        type : {
            hour : 'hour',
            minute : 'minute'
        },
        hour : {
            color : AllStyles.background.success,
            length : '30%',
            margin : '0 20%',
            width : '4px'
        },
        minute : {
            color : AllStyles.background.primary
        }
    },
    header : 'London',
    index : {
        color : AllStyles.background.primary,
        nodeCount : AllStyles.index.type.hour,
        customNode : {
            6 : {
                display : AllStyles.display.none
            },
            12 : {
                display : AllStyles.display.none
            }
        }
    },
    grid : {
        2 : {
            label : {
                color : AllStyles.color.grayLighter,
                font : AllStyles.font.tangerine,
                text : 'RBD'
            }
        },
        8 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle,
                bg : AllStyles.background.faded
            },
            index : {
                color : AllStyles.background.inverse,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                type : 'second',
                color : AllStyles.background.primary
            },
        }
    },
    timeZone : 1
}

module.exports = SmallSecondsSquare;